curl --request POST \
--url https://sandbox.api.byzantine.fi/v1/query/get-activate-account-payload-passkey \
--header 'Content-Type: application/json' \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"accountId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-activate-account-payload-passkey"
payload = { "accountId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({accountId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-activate-account-payload-passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bodyToSign": {
"type": "ACTIVITY_TYPE_SIGN_RAW_PAYLOAD_V2",
"timestampMs": "<string>",
"organizationId": "<string>",
"parameters": {
"signWith": "<string>",
"payload": "<string>",
"encoding": "PAYLOAD_ENCODING_HEXADECIMAL",
"hashFunction": "HASH_FUNCTION_NO_OP"
}
},
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"destinationBankAccount": {
"country": "FRA",
"last4": "0804",
"bic": "BICFR12345"
}
}Get activate account payload
Get the authorization to sign to activate the account with EIP 7702 allowing gas sponsorship.
curl --request POST \
--url https://sandbox.api.byzantine.fi/v1/query/get-activate-account-payload-passkey \
--header 'Content-Type: application/json' \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"accountId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-activate-account-payload-passkey"
payload = { "accountId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({accountId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-activate-account-payload-passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bodyToSign": {
"type": "ACTIVITY_TYPE_SIGN_RAW_PAYLOAD_V2",
"timestampMs": "<string>",
"organizationId": "<string>",
"parameters": {
"signWith": "<string>",
"payload": "<string>",
"encoding": "PAYLOAD_ENCODING_HEXADECIMAL",
"hashFunction": "HASH_FUNCTION_NO_OP"
}
},
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"destinationBankAccount": {
"country": "FRA",
"last4": "0804",
"bic": "BICFR12345"
}
}Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Query Parameters
Chain ID (1 for Ethereum, 8453 for Base)
x >= 0Body
Account activation request body
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Response
Transaction created successfully
The object that needs to be signed by the end user to make a transaction.
Show child attributes
Show child attributes
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Bank account details where the funds will be transferred to (withdrawals only).
- Option 1
- Option 2
Show child attributes
Show child attributes

